-------------------------------------------------------------------------------
--
-- Install.sql
--
-- Copyright (c) 2011-2013 McAfee, Inc.  All Rights Reserved.
--
-------------------------------------------------------------------------------

IF EXISTS (SELECT TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'MISView_Software')
    DROP VIEW dbo.MISView_Software
GO

CREATE VIEW MISView_Software
AS
    SELECT  DISTINCT ms.ProductCode, s.SoftwareName, s.ProductFamily
    FROM    dbo.EPOSoftware s
    LEFT OUTER JOIN dbo.EPOMetaSoftware ms ON s.ProductCode = ms.MetaProductID
    WHERE   s.Language = '0409'
    UNION
    SELECT  DISTINCT s.ProductCode, s.SoftwareName, s.ProductFamily
    FROM    dbo.EPOSoftware s
    WHERE   s.Language = '0409'
GO

IF EXISTS (SELECT TABLE_NAME FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'MISView_ProductProtectionSummary')
    DROP VIEW dbo.MISView_ProductProtectionSummary
GO

CREATE VIEW MISView_ProductProtectionSummary
AS
    SELECT  pp.AutoID AS ID, ln.AutoID AS ParentID, ln.NodeName, es.SoftwareName + ' ' + pp.ProductVersion AS TextVersion,
            es.SoftwareName + ' ' + pp.ProductVersion +
                CASE
                    WHEN pp.Servicepack IS NULL THEN ''
                    WHEN pp.Servicepack = '' THEN ''
                    ELSE ' SP:' + pp.Servicepack END +
                CASE
                    WHEN pp.Hotfix IS NULL THEN ''
                    WHEN pp.Hotfix = '' THEN ''
                    ELSE ' HF:' + pp.Hotfix END
            AS LongVersion,
            es.SoftwareName, pp.ProductVersion, pp.Hotfix, pp.Servicepack
    FROM    dbo.EPOProductProperties AS pp,
            dbo.MISView_Software AS es,
            dbo.EPOLeafNode AS ln
    WHERE (pp.ProductCode = es.ProductCode) AND (ln.AutoID = pp.ParentID)
GO
